# Class StatusHandler

java.lang.Object
org.eclipse.jface.util.StatusHandler

public abstract class StatusHandler extends Object
A mechanism to handle statuses throughout JFace.

Clients may provide their own implementation to change how statuses are handled from within JFace.

Since:
  3.4
See Also:
  - `Policy.getStatusHandler()`
  - `Policy.setStatusHandler(StatusHandler)`

## Constructor Summary

Constructors
Constructor
Description
`StatusHandler()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`show(IStatus status, String title)`
Show the given status.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StatusHandler

public StatusHandler()

## Method Details

### show

public abstract void show(IStatus status, String title)
Show the given status.

Parameters:
  `status` - status to handle
  `title` - title for the status